package com.ismail.simsek.rb2.testproject.login
{
	import com.ismail.simsek.rb2.testproject.core.main.model.vo.AdminModel;
	import com.ismail.simsek.rb2.testproject.login.controller.command.RunLoginProcessCommand;
	import com.ismail.simsek.rb2.testproject.login.controller.signal.RunLoginProcessSignal;
	import com.ismail.simsek.rb2.testproject.login.service.LoginService;
	import com.ismail.simsek.rb2.testproject.login.view.component.api.ILoginPanelView;
	import com.ismail.simsek.rb2.testproject.login.view.mediator.LoginPanelMediator;
	
	import robotlegs.bender.extensions.mediatorMap.api.IMediatorMap;
	import robotlegs.bender.extensions.signalCommandMap.api.ISignalCommandMap;
	import robotlegs.bender.framework.api.IConfig;
	import robotlegs.bender.framework.api.IInjector;
	
	public class LoginPanelConfig implements IConfig
	{
		[Inject]
		public var injector:IInjector;
		
		[Inject]
		public var mediatorMap:IMediatorMap;
		
		[Inject]
		public var signalCommandMap:ISignalCommandMap;
		
		public function configure():void
		{
			injector.map(LoginService).asSingleton();
			injector.map(AdminModel).asSingleton();
			
			mediatorMap.map(ILoginPanelView).toMediator(LoginPanelMediator);
			
			signalCommandMap.map(RunLoginProcessSignal).toCommand(RunLoginProcessCommand);
		}
	}
}